com.ziclix.python.sql

## Class DBApiType

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PyInteger
    - - com.ziclix.python.sql.DBApiType

All Implemented Interfaces:
  java.io.Serializable

    public final class DBApiType
    extends PyInteger

This class wraps the types from java.sql.Type in order for PyCursor to differentiate between a regular PyInteger and a SQL datatype value.

Author:
  brian zimmer
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.python.core.PyObject

`PyObject.ConversionException`

### Field Summary

### Fields inherited from class org.python.core.PyInteger

`MAX_INT, maxInt, MIN_INT, minInt, TYPE`

### Fields inherited from class org.python.core.PyObject

`gcMonitorGlobal`

### Constructor Summary

Constructors
Constructor and Description
`DBApiType(int type)` Constructor DBApiType
`DBApiType(java.lang.Integer type)` Constructor DBApiType

### Method Summary

### Methods inherited from class org.python.core.PyInteger

`__abs__, __add__, __and__, __cmp__, __coerce_ex__, __complex__, __div__, __divmod__, __float__, __floordiv__, __format__, __getnewargs__, __hex__, __index__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rdiv__, __rfloordiv__, __rmod__, __rmul__, __rpow__, __rshift__, __rsub__, __rtruediv__, __sub__, __tojava__, __truediv__, __trunc__, __xor__, asIndex, asInt, asInt, asLong, asLong, bit_length, conjugate, getDenominator, getImag, getNumerator, getReal, getValue, hashCode, int_new, isIndex, isMappingType, isNumberType, isSequenceType, toString`

### Methods inherited from class org.python.core.PyObject

`__call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __lt__, __ne__, __not__, __pow__, __rand__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rlshift__, __ror__, __rrshift__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __unicode__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIterable, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isInteger, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DBApiType

    public DBApiType(int type)

Constructor DBApiType

Parameters:
  `type` -

#### DBApiType

    public DBApiType(java.lang.Integer type)

Constructor DBApiType

Parameters:
  `type` -